<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "mybatis-3-mapper.dtd">
<mapper namespace="com.mortals.xhx.module.bussinesscard.dao.ibatis.BussinesscardDaoImpl">

    <!-- 字段和属性映射 -->
    <resultMap type="BussinesscardEntity" id="BussinesscardEntity-Map">
        <id  property="id" column="id" />
        <result property="staffId" column="staffId" />
        <result property="staffName" column="staffName" />
        <result property="name" column="name" />
        <result property="gender" column="gender" />
        <result property="birthday" column="birthday" />
        <result property="photoPath" column="photoPath" />
        <result property="email" column="email" />
        <result property="phoneNumber" column="phoneNumber" />
        <result property="idCard" column="idCard" />
        <result property="companyId" column="companyId" />
        <result property="companyName" column="companyName" />
        <result property="positionId" column="positionId" />
        <result property="positionName" column="positionName" />
        <result property="bio" column="bio" />
        <result property="socialMedia" column="socialMedia" />
        <result property="qRCode" column="qRCode" />
        <result property="remark" column="remark" />
        <result property="sumViews" column="sumViews" />
        <result property="viewsByDay" column="viewsByDay" />
        <result property="sendBusinessCardTimes" column="sendBusinessCardTimes" />
        <result property="createUserId" column="createUserId" />
        <result property="createTime" column="createTime" />
        <result property="updateUserId" column="updateUserId" />
        <result property="updateTime" column="updateTime" />
        <result property="setting" column="setting" />
        <result property="companyAdress" column="companyAdress" />
        <result property="backdrop" column="backdrop" />
    </resultMap>

    <!-- 表所有列 -->
    <sql id="_columns">
        <trim suffixOverrides="," suffix="">
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('id') or colPickMode == 1 and data.containsKey('id')))">
                a.id,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('staffId') or colPickMode == 1 and data.containsKey('staffId')))">
                a.staffId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('staffName') or colPickMode == 1 and data.containsKey('staffName')))">
                a.staffName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('name') or colPickMode == 1 and data.containsKey('name')))">
                a.name,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('gender') or colPickMode == 1 and data.containsKey('gender')))">
                a.gender,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('birthday') or colPickMode == 1 and data.containsKey('birthday')))">
                a.birthday,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('photoPath') or colPickMode == 1 and data.containsKey('photoPath')))">
                a.photoPath,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('email') or colPickMode == 1 and data.containsKey('email')))">
                a.email,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('phoneNumber') or colPickMode == 1 and data.containsKey('phoneNumber')))">
                a.phoneNumber,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('idCard') or colPickMode == 1 and data.containsKey('idCard')))">
                a.idCard,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('companyId') or colPickMode == 1 and data.containsKey('companyId')))">
                a.companyId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('companyName') or colPickMode == 1 and data.containsKey('companyName')))">
                a.companyName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('positionId') or colPickMode == 1 and data.containsKey('positionId')))">
                a.positionId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('positionName') or colPickMode == 1 and data.containsKey('positionName')))">
                a.positionName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('bio') or colPickMode == 1 and data.containsKey('bio')))">
                a.bio,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('socialMedia') or colPickMode == 1 and data.containsKey('socialMedia')))">
                a.socialMedia,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('qRCode') or colPickMode == 1 and data.containsKey('qRCode')))">
                a.qRCode,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('remark') or colPickMode == 1 and data.containsKey('remark')))">
                a.remark,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('sumViews') or colPickMode == 1 and data.containsKey('sumViews')))">
                a.sumViews,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('viewsByDay') or colPickMode == 1 and data.containsKey('viewsByDay')))">
                a.viewsByDay,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('sendBusinessCardTimes') or colPickMode == 1 and data.containsKey('sendBusinessCardTimes')))">
                a.sendBusinessCardTimes,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createUserId') or colPickMode == 1 and data.containsKey('createUserId')))">
                a.createUserId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createTime') or colPickMode == 1 and data.containsKey('createTime')))">
                a.createTime,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateUserId') or colPickMode == 1 and data.containsKey('updateUserId')))">
                a.updateUserId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateTime') or colPickMode == 1 and data.containsKey('updateTime')))">
                a.updateTime,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('setting') or colPickMode == 1 and data.containsKey('setting')))">
                a.setting,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('companyAdress') or colPickMode == 1 and data.containsKey('companyAdress')))">
                a.companyAdress,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('backdrop') or colPickMode == 1 and data.containsKey('backdrop')))">
                a.backdrop,
            </if>
        </trim>
    </sql>
    <!-- 新增 区分主键自增加还是业务插入 -->
    <insert id="insert" parameterType="BussinesscardEntity"  useGeneratedKeys="true" keyProperty="id">
        insert into mortals_xhx_bussinesscard
        (staffId,staffName,name,gender,birthday,photoPath,email,phoneNumber,idCard,companyId,companyName,positionId,positionName,bio,socialMedia,qRCode,remark,sumViews,viewsByDay,sendBusinessCardTimes,createUserId,createTime,updateUserId,updateTime,setting,companyAdress,backdrop)
        VALUES
        (#{staffId},#{staffName},#{name},#{gender},#{birthday},#{photoPath},#{email},#{phoneNumber},#{idCard},#{companyId},#{companyName},#{positionId},#{positionName},#{bio},#{socialMedia},#{qRCode},#{remark},#{sumViews},#{viewsByDay},#{sendBusinessCardTimes},#{createUserId},#{createTime},#{updateUserId},#{updateTime},#{setting},#{companyAdress},#{backdrop})
    </insert>

    <!-- 批量新增 -->
    <insert id="insertBatch" parameterType="paramDto">
        insert into mortals_xhx_bussinesscard
        (staffId,staffName,name,gender,birthday,photoPath,email,phoneNumber,idCard,companyId,companyName,positionId,positionName,bio,socialMedia,qRCode,remark,sumViews,viewsByDay,sendBusinessCardTimes,createUserId,createTime,updateUserId,updateTime,setting,companyAdress,backdrop)
        VALUES
        <foreach collection="data.dataList" item="item" index="index" separator="," >
            (#{item.staffId},#{item.staffName},#{item.name},#{item.gender},#{item.birthday},#{item.photoPath},#{item.email},#{item.phoneNumber},#{item.idCard},#{item.companyId},#{item.companyName},#{item.positionId},#{item.positionName},#{item.bio},#{item.socialMedia},#{item.qRCode},#{item.remark},#{item.sumViews},#{item.viewsByDay},#{item.sendBusinessCardTimes},#{item.createUserId},#{item.createTime},#{item.updateUserId},#{item.updateTime},#{item.setting},#{item.companyAdress},#{item.backdrop})
        </foreach>
    </insert>


    <!-- 根据ParamDto更新 -->
    <update id="update" parameterType="paramDto">
        update mortals_xhx_bussinesscard as a
        set
        <trim suffixOverrides="," suffix="">
            <if test="(colPickMode==0 and data.containsKey('staffId')) or (colPickMode==1 and !data.containsKey('staffId'))">
                a.staffId=#{data.staffId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('staffIdIncrement')) or (colPickMode==1 and !data.containsKey('staffIdIncrement'))">
                a.staffId=ifnull(a.staffId,0) + #{data.staffIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('staffName')) or (colPickMode==1 and !data.containsKey('staffName'))">
                a.staffName=#{data.staffName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('name')) or (colPickMode==1 and !data.containsKey('name'))">
                a.name=#{data.name},
            </if>
            <if test="(colPickMode==0 and data.containsKey('gender')) or (colPickMode==1 and !data.containsKey('gender'))">
                a.gender=#{data.gender},
            </if>
            <if test="(colPickMode==0 and data.containsKey('genderIncrement')) or (colPickMode==1 and !data.containsKey('genderIncrement'))">
                a.gender=ifnull(a.gender,0) + #{data.genderIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('birthday')) or (colPickMode==1 and !data.containsKey('birthday'))">
                a.birthday=#{data.birthday},
            </if>
            <if test="(colPickMode==0 and data.containsKey('photoPath')) or (colPickMode==1 and !data.containsKey('photoPath'))">
                a.photoPath=#{data.photoPath},
            </if>
            <if test="(colPickMode==0 and data.containsKey('email')) or (colPickMode==1 and !data.containsKey('email'))">
                a.email=#{data.email},
            </if>
            <if test="(colPickMode==0 and data.containsKey('phoneNumber')) or (colPickMode==1 and !data.containsKey('phoneNumber'))">
                a.phoneNumber=#{data.phoneNumber},
            </if>
            <if test="(colPickMode==0 and data.containsKey('idCard')) or (colPickMode==1 and !data.containsKey('idCard'))">
                a.idCard=#{data.idCard},
            </if>
            <if test="(colPickMode==0 and data.containsKey('companyId')) or (colPickMode==1 and !data.containsKey('companyId'))">
                a.companyId=#{data.companyId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('companyIdIncrement')) or (colPickMode==1 and !data.containsKey('companyIdIncrement'))">
                a.companyId=ifnull(a.companyId,0) + #{data.companyIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('companyName')) or (colPickMode==1 and !data.containsKey('companyName'))">
                a.companyName=#{data.companyName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('positionId')) or (colPickMode==1 and !data.containsKey('positionId'))">
                a.positionId=#{data.positionId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('positionIdIncrement')) or (colPickMode==1 and !data.containsKey('positionIdIncrement'))">
                a.positionId=ifnull(a.positionId,0) + #{data.positionIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('positionName')) or (colPickMode==1 and !data.containsKey('positionName'))">
                a.positionName=#{data.positionName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('bio')) or (colPickMode==1 and !data.containsKey('bio'))">
                a.bio=#{data.bio},
            </if>
            <if test="(colPickMode==0 and data.containsKey('socialMedia')) or (colPickMode==1 and !data.containsKey('socialMedia'))">
                a.socialMedia=#{data.socialMedia},
            </if>
            <if test="(colPickMode==0 and data.containsKey('qRCode')) or (colPickMode==1 and !data.containsKey('qRCode'))">
                a.qRCode=#{data.qRCode},
            </if>
            <if test="(colPickMode==0 and data.containsKey('remark')) or (colPickMode==1 and !data.containsKey('remark'))">
                a.remark=#{data.remark},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sumViews')) or (colPickMode==1 and !data.containsKey('sumViews'))">
                a.sumViews=#{data.sumViews},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sumViewsIncrement')) or (colPickMode==1 and !data.containsKey('sumViewsIncrement'))">
                a.sumViews=ifnull(a.sumViews,0) + #{data.sumViewsIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('viewsByDay')) or (colPickMode==1 and !data.containsKey('viewsByDay'))">
                a.viewsByDay=#{data.viewsByDay},
            </if>
            <if test="(colPickMode==0 and data.containsKey('viewsByDayIncrement')) or (colPickMode==1 and !data.containsKey('viewsByDayIncrement'))">
                a.viewsByDay=ifnull(a.viewsByDay,0) + #{data.viewsByDayIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sendBusinessCardTimes')) or (colPickMode==1 and !data.containsKey('sendBusinessCardTimes'))">
                a.sendBusinessCardTimes=#{data.sendBusinessCardTimes},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sendBusinessCardTimesIncrement')) or (colPickMode==1 and !data.containsKey('sendBusinessCardTimesIncrement'))">
                a.sendBusinessCardTimes=ifnull(a.sendBusinessCardTimes,0) + #{data.sendBusinessCardTimesIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserId')) or (colPickMode==1 and !data.containsKey('createUserId'))">
                a.createUserId=#{data.createUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserIdIncrement')) or (colPickMode==1 and !data.containsKey('createUserIdIncrement'))">
                a.createUserId=ifnull(a.createUserId,0) + #{data.createUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createTime')) or (colPickMode==1 and !data.containsKey('createTime'))">
                a.createTime=#{data.createTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserId')) or (colPickMode==1 and !data.containsKey('updateUserId'))">
                a.updateUserId=#{data.updateUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !data.containsKey('updateUserIdIncrement'))">
                a.updateUserId=ifnull(a.updateUserId,0) + #{data.updateUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateTime')) or (colPickMode==1 and !data.containsKey('updateTime'))">
                a.updateTime=#{data.updateTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('setting')) or (colPickMode==1 and !data.containsKey('setting'))">
                a.setting=#{data.setting},
            </if>
            <if test="(colPickMode==0 and data.containsKey('companyAdress')) or (colPickMode==1 and !data.containsKey('companyAdress'))">
                a.companyAdress=#{data.companyAdress},
            </if>
            <if test="(colPickMode==0 and data.containsKey('backdrop')) or (colPickMode==1 and !data.containsKey('backdrop'))">
                a.backdrop=#{data.backdrop},
            </if>
        </trim>
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </update>
    <!-- 批量更新 -->
    <update id="updateBatch" parameterType="paramDto">
        update mortals_xhx_bussinesscard as a
        <trim prefix="set" suffixOverrides=",">
            <trim prefix="staffId=(case" suffix="ELSE staffId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('staffId')) or (colPickMode==1 and !item.containsKey('staffId'))">
                            when a.id=#{item.id} then #{item.staffId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('staffIdIncrement')) or (colPickMode==1 and !item.containsKey('staffIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.staffId,0) + #{item.staffIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="staffName=(case" suffix="ELSE staffName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('staffName')) or (colPickMode==1 and !item.containsKey('staffName'))">
                        when a.id=#{item.id} then #{item.staffName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="name=(case" suffix="ELSE name end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('name')) or (colPickMode==1 and !item.containsKey('name'))">
                        when a.id=#{item.id} then #{item.name}
                    </if>
                </foreach>
            </trim>
            <trim prefix="gender=(case" suffix="ELSE gender end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('gender')) or (colPickMode==1 and !item.containsKey('gender'))">
                            when a.id=#{item.id} then #{item.gender}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('genderIncrement')) or (colPickMode==1 and !item.containsKey('genderIncrement'))">
                            when a.id=#{item.id} then ifnull(a.gender,0) + #{item.genderIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="birthday=(case" suffix="ELSE birthday end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('birthday')) or (colPickMode==1 and !item.containsKey('birthday'))">
                        when a.id=#{item.id} then #{item.birthday}
                    </if>
                </foreach>
            </trim>
            <trim prefix="photoPath=(case" suffix="ELSE photoPath end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('photoPath')) or (colPickMode==1 and !item.containsKey('photoPath'))">
                        when a.id=#{item.id} then #{item.photoPath}
                    </if>
                </foreach>
            </trim>
            <trim prefix="email=(case" suffix="ELSE email end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('email')) or (colPickMode==1 and !item.containsKey('email'))">
                        when a.id=#{item.id} then #{item.email}
                    </if>
                </foreach>
            </trim>
            <trim prefix="phoneNumber=(case" suffix="ELSE phoneNumber end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('phoneNumber')) or (colPickMode==1 and !item.containsKey('phoneNumber'))">
                        when a.id=#{item.id} then #{item.phoneNumber}
                    </if>
                </foreach>
            </trim>
            <trim prefix="idCard=(case" suffix="ELSE idCard end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('idCard')) or (colPickMode==1 and !item.containsKey('idCard'))">
                        when a.id=#{item.id} then #{item.idCard}
                    </if>
                </foreach>
            </trim>
            <trim prefix="companyId=(case" suffix="ELSE companyId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('companyId')) or (colPickMode==1 and !item.containsKey('companyId'))">
                            when a.id=#{item.id} then #{item.companyId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('companyIdIncrement')) or (colPickMode==1 and !item.containsKey('companyIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.companyId,0) + #{item.companyIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="companyName=(case" suffix="ELSE companyName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('companyName')) or (colPickMode==1 and !item.containsKey('companyName'))">
                        when a.id=#{item.id} then #{item.companyName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="positionId=(case" suffix="ELSE positionId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('positionId')) or (colPickMode==1 and !item.containsKey('positionId'))">
                            when a.id=#{item.id} then #{item.positionId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('positionIdIncrement')) or (colPickMode==1 and !item.containsKey('positionIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.positionId,0) + #{item.positionIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="positionName=(case" suffix="ELSE positionName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('positionName')) or (colPickMode==1 and !item.containsKey('positionName'))">
                        when a.id=#{item.id} then #{item.positionName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="bio=(case" suffix="ELSE bio end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('bio')) or (colPickMode==1 and !item.containsKey('bio'))">
                        when a.id=#{item.id} then #{item.bio}
                    </if>
                </foreach>
            </trim>
            <trim prefix="socialMedia=(case" suffix="ELSE socialMedia end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('socialMedia')) or (colPickMode==1 and !item.containsKey('socialMedia'))">
                        when a.id=#{item.id} then #{item.socialMedia}
                    </if>
                </foreach>
            </trim>
            <trim prefix="qRCode=(case" suffix="ELSE qRCode end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('qRCode')) or (colPickMode==1 and !item.containsKey('qRCode'))">
                        when a.id=#{item.id} then #{item.qRCode}
                    </if>
                </foreach>
            </trim>
            <trim prefix="remark=(case" suffix="ELSE remark end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('remark')) or (colPickMode==1 and !item.containsKey('remark'))">
                        when a.id=#{item.id} then #{item.remark}
                    </if>
                </foreach>
            </trim>
            <trim prefix="sumViews=(case" suffix="ELSE sumViews end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('sumViews')) or (colPickMode==1 and !item.containsKey('sumViews'))">
                            when a.id=#{item.id} then #{item.sumViews}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('sumViewsIncrement')) or (colPickMode==1 and !item.containsKey('sumViewsIncrement'))">
                            when a.id=#{item.id} then ifnull(a.sumViews,0) + #{item.sumViewsIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="viewsByDay=(case" suffix="ELSE viewsByDay end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('viewsByDay')) or (colPickMode==1 and !item.containsKey('viewsByDay'))">
                            when a.id=#{item.id} then #{item.viewsByDay}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('viewsByDayIncrement')) or (colPickMode==1 and !item.containsKey('viewsByDayIncrement'))">
                            when a.id=#{item.id} then ifnull(a.viewsByDay,0) + #{item.viewsByDayIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="sendBusinessCardTimes=(case" suffix="ELSE sendBusinessCardTimes end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('sendBusinessCardTimes')) or (colPickMode==1 and !item.containsKey('sendBusinessCardTimes'))">
                            when a.id=#{item.id} then #{item.sendBusinessCardTimes}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('sendBusinessCardTimesIncrement')) or (colPickMode==1 and !item.containsKey('sendBusinessCardTimesIncrement'))">
                            when a.id=#{item.id} then ifnull(a.sendBusinessCardTimes,0) + #{item.sendBusinessCardTimesIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="createUserId=(case" suffix="ELSE createUserId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('createUserId')) or (colPickMode==1 and !item.containsKey('createUserId'))">
                            when a.id=#{item.id} then #{item.createUserId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('createUserIdIncrement')) or (colPickMode==1 and !item.containsKey('createUserIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.createUserId,0) + #{item.createUserIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="createTime=(case" suffix="ELSE createTime end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('createTime')) or (colPickMode==1 and !item.containsKey('createTime'))">
                        when a.id=#{item.id} then #{item.createTime}
                    </if>
                </foreach>
            </trim>
            <trim prefix="updateUserId=(case" suffix="ELSE updateUserId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('updateUserId')) or (colPickMode==1 and !item.containsKey('updateUserId'))">
                            when a.id=#{item.id} then #{item.updateUserId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !item.containsKey('updateUserIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.updateUserId,0) + #{item.updateUserIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="updateTime=(case" suffix="ELSE updateTime end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('updateTime')) or (colPickMode==1 and !item.containsKey('updateTime'))">
                        when a.id=#{item.id} then #{item.updateTime}
                    </if>
                </foreach>
            </trim>
            <trim prefix="setting=(case" suffix="ELSE setting end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('setting')) or (colPickMode==1 and !item.containsKey('setting'))">
                        when a.id=#{item.id} then #{item.setting}
                    </if>
                </foreach>
            </trim>
            <trim prefix="companyAdress=(case" suffix="ELSE companyAdress end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('companyAdress')) or (colPickMode==1 and !item.containsKey('companyAdress'))">
                        when a.id=#{item.id} then #{item.companyAdress}
                    </if>
                </foreach>
            </trim>
            <trim prefix="backdrop=(case" suffix="ELSE backdrop end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('backdrop')) or (colPickMode==1 and !item.containsKey('backdrop'))">
                        when a.id=#{item.id} then #{item.backdrop}
                    </if>
                </foreach>
            </trim>
        </trim>
        where id in
        <foreach collection="data.dataList" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </update>
    <!-- 根据主健查询 -->
    <select id="getByKey" parameterType="paramDto" resultMap="BussinesscardEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_bussinesscard as a
        where a.id=#{condition.id}
    </select>
    <!-- 根据主健删除 -->
    <delete id="deleteByKey" parameterType="paramDto">
        delete a.* from mortals_xhx_bussinesscard as a where a.id=#{condition.id}
    </delete>
    <!-- 根据主健删除一批，针对单一主健有效 -->
    <delete id="deleteByKeys">
        delete from mortals_xhx_bussinesscard where id in
        <foreach collection="array" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>
    <!-- 根据主健列表删除一批，针对单一主健有效 -->
    <delete id="deleteByKeyList">
        delete from mortals_xhx_bussinesscard where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>

    <!-- 根据对象列表删除一批，针对单一主健有效 -->
    <delete id="deleteByEntityList">
        delete from mortals_xhx_bussinesscard where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </delete>
    <!-- 根据paramDto删除一批 -->
    <delete id="deleteByMap" parameterType="paramDto">
        delete a.* from mortals_xhx_bussinesscard as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </delete>
    <!-- 获取列表 -->
    <select id="getList" parameterType="paramDto" resultMap="BussinesscardEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_bussinesscard as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
        <include refid="_orderCols_"/>
    </select>



    <!-- 获取 -->
    <select id="getListCount" parameterType="paramDto" resultType="int">
        select count(1)
        from mortals_xhx_bussinesscard as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </select>
    <!-- 条件映射 -->
    <sql id="_condition_">
        <if test="condition != null and !condition.isEmpty()">
            <!-- 条件映射-普通条件 -->
            <include refid="_condition_param_">
                <property name="_conditionParam_" value="condition"/>
                <property name="_conditionType_" value="and"/>
            </include>
            <!-- 条件映射-集合之间使用AND，集合中元素使用OR-(list[0].1 or list[0].2) and (list[1].3 or list[1].4) -->
            <if test="condition.containsKey('andConditionList') and !condition.andConditionList.isEmpty()">
                and
                <foreach collection="condition.andConditionList" open="(" close=")" index="index" item="andCondition" separator=" and ">
                    <trim prefixOverrides="or" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="andCondition"/>
                            <property name="_conditionType_" value="or"/>
                        </include>
                    </trim>
                </foreach>
            </if>
            <!-- 条件映射-集合之间使用OR，集合中元素使用AND-(list[0].1 and list[0].2) or (list[1].3 and list[1].4) -->
            <if test="condition.containsKey('orConditionList') and !condition.orConditionList.isEmpty()">
                and
                <foreach collection="condition.orConditionList" open="(" close=")" index="index" item="orCondition" separator=" or ">
                    <trim prefixOverrides="and" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="orCondition"/>
                            <property name="_conditionType_" value="and"/>
                        </include>
                    </trim>
                </foreach>
            </if>
        </if>
    </sql>
    <!-- 条件映射-代参数 -->
    <sql id="_condition_param_">
        <bind name="conditionParamRef" value="${_conditionParam_}"/>
        <if test="permissionSql != null and permissionSql != ''">
            ${permissionSql}
        </if>

        <if test="conditionParamRef.containsKey('id')">
            <if test="conditionParamRef.id != null">
                ${_conditionType_} a.id=#{${_conditionParam_}.id}
            </if>
        </if>
        <if test="conditionParamRef.containsKey('id')">
            <if test="conditionParamRef.id != null ">
                ${_conditionType_} a.id = #{${_conditionParam_}.id}
            </if>
            <if test="conditionParamRef.id == null">
                ${_conditionType_} a.id is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
            ${_conditionType_} a.id in
            <foreach collection="conditionParamRef.idList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('idNotList') and conditionParamRef.idNotList.size() > 0">
            ${_conditionType_} a.id not in
            <foreach collection="conditionParamRef.idNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('idStart') and conditionParamRef.idStart != null">
            ${_conditionType_} a.id <![CDATA[ >= ]]> #{${_conditionParam_}.idStart}
        </if>
        <if test="conditionParamRef.containsKey('idEnd') and conditionParamRef.idEnd != null">
            ${_conditionType_} a.id <![CDATA[ <= ]]> #{${_conditionParam_}.idEnd}
        </if>

        <if test="conditionParamRef.containsKey('staffId')">
            <if test="conditionParamRef.staffId != null ">
                ${_conditionType_} a.staffId = #{${_conditionParam_}.staffId}
            </if>
            <if test="conditionParamRef.staffId == null">
                ${_conditionType_} a.staffId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('staffIdList') and conditionParamRef.staffIdList.size() > 0">
            ${_conditionType_} a.staffId in
            <foreach collection="conditionParamRef.staffIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('staffIdNotList') and conditionParamRef.staffIdNotList.size() > 0">
            ${_conditionType_} a.staffId not in
            <foreach collection="conditionParamRef.staffIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('staffIdStart') and conditionParamRef.staffIdStart != null">
            ${_conditionType_} a.staffId <![CDATA[ >= ]]> #{${_conditionParam_}.staffIdStart}
        </if>
        <if test="conditionParamRef.containsKey('staffIdEnd') and conditionParamRef.staffIdEnd != null">
            ${_conditionType_} a.staffId <![CDATA[ <= ]]> #{${_conditionParam_}.staffIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('staffName')">
            <if test="conditionParamRef.staffName != null and conditionParamRef.staffName != ''">
                ${_conditionType_} a.staffName like #{${_conditionParam_}.staffName}
            </if>
            <if test="conditionParamRef.staffName == null">
                ${_conditionType_} a.staffName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('staffNameList') and conditionParamRef.staffNameList.size() > 0">
            ${_conditionType_} a.staffName in
            <foreach collection="conditionParamRef.staffNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('staffNameNotList') and conditionParamRef.staffNameNotList.size() > 0">
            ${_conditionType_} a.staffName not in
            <foreach collection="conditionParamRef.staffNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('name')">
            <if test="conditionParamRef.name != null and conditionParamRef.name != ''">
                ${_conditionType_} a.name like #{${_conditionParam_}.name}
            </if>
            <if test="conditionParamRef.name == null">
                ${_conditionType_} a.name is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('nameList') and conditionParamRef.nameList.size() > 0">
            ${_conditionType_} a.name in
            <foreach collection="conditionParamRef.nameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('nameNotList') and conditionParamRef.nameNotList.size() > 0">
            ${_conditionType_} a.name not in
            <foreach collection="conditionParamRef.nameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('gender')">
            <if test="conditionParamRef.gender != null ">
                ${_conditionType_} a.gender = #{${_conditionParam_}.gender}
            </if>
            <if test="conditionParamRef.gender == null">
                ${_conditionType_} a.gender is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('genderList') and conditionParamRef.genderList.size() > 0">
            ${_conditionType_} a.gender in
            <foreach collection="conditionParamRef.genderList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('genderNotList') and conditionParamRef.genderNotList.size() > 0">
            ${_conditionType_} a.gender not in
            <foreach collection="conditionParamRef.genderNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('genderStart') and conditionParamRef.genderStart != null">
            ${_conditionType_} a.gender <![CDATA[ >= ]]> #{${_conditionParam_}.genderStart}
        </if>
        <if test="conditionParamRef.containsKey('genderEnd') and conditionParamRef.genderEnd != null">
            ${_conditionType_} a.gender <![CDATA[ <= ]]> #{${_conditionParam_}.genderEnd}
        </if>


        <if test="conditionParamRef.containsKey('birthday')">
            <if test="conditionParamRef.birthday != null ">
                ${_conditionType_} a.birthday = #{${_conditionParam_}.birthday}
            </if>
            <if test="conditionParamRef.birthday == null">
                ${_conditionType_} a.birthday is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('birthdayStart') and conditionParamRef.birthdayStart != null and conditionParamRef.birthdayStart!=''">
            ${_conditionType_} a.birthday <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.birthdayStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('birthdayEnd') and conditionParamRef.birthdayEnd != null and conditionParamRef.birthdayEnd!=''">
            ${_conditionType_} a.birthday <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.birthdayEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>

        <if test="conditionParamRef.containsKey('photoPath')">
            <if test="conditionParamRef.photoPath != null and conditionParamRef.photoPath != ''">
                ${_conditionType_} a.photoPath like #{${_conditionParam_}.photoPath}
            </if>
            <if test="conditionParamRef.photoPath == null">
                ${_conditionType_} a.photoPath is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('photoPathList') and conditionParamRef.photoPathList.size() > 0">
            ${_conditionType_} a.photoPath in
            <foreach collection="conditionParamRef.photoPathList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('photoPathNotList') and conditionParamRef.photoPathNotList.size() > 0">
            ${_conditionType_} a.photoPath not in
            <foreach collection="conditionParamRef.photoPathNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('email')">
            <if test="conditionParamRef.email != null and conditionParamRef.email != ''">
                ${_conditionType_} a.email like #{${_conditionParam_}.email}
            </if>
            <if test="conditionParamRef.email == null">
                ${_conditionType_} a.email is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('emailList') and conditionParamRef.emailList.size() > 0">
            ${_conditionType_} a.email in
            <foreach collection="conditionParamRef.emailList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('emailNotList') and conditionParamRef.emailNotList.size() > 0">
            ${_conditionType_} a.email not in
            <foreach collection="conditionParamRef.emailNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('phoneNumber')">
            <if test="conditionParamRef.phoneNumber != null and conditionParamRef.phoneNumber != ''">
                ${_conditionType_} a.phoneNumber like #{${_conditionParam_}.phoneNumber}
            </if>
            <if test="conditionParamRef.phoneNumber == null">
                ${_conditionType_} a.phoneNumber is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('phoneNumberList') and conditionParamRef.phoneNumberList.size() > 0">
            ${_conditionType_} a.phoneNumber in
            <foreach collection="conditionParamRef.phoneNumberList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('phoneNumberNotList') and conditionParamRef.phoneNumberNotList.size() > 0">
            ${_conditionType_} a.phoneNumber not in
            <foreach collection="conditionParamRef.phoneNumberNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('idCard')">
            <if test="conditionParamRef.idCard != null and conditionParamRef.idCard != ''">
                ${_conditionType_} a.idCard like #{${_conditionParam_}.idCard}
            </if>
            <if test="conditionParamRef.idCard == null">
                ${_conditionType_} a.idCard is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('idCardList') and conditionParamRef.idCardList.size() > 0">
            ${_conditionType_} a.idCard in
            <foreach collection="conditionParamRef.idCardList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('idCardNotList') and conditionParamRef.idCardNotList.size() > 0">
            ${_conditionType_} a.idCard not in
            <foreach collection="conditionParamRef.idCardNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('companyId')">
            <if test="conditionParamRef.companyId != null ">
                ${_conditionType_} a.companyId = #{${_conditionParam_}.companyId}
            </if>
            <if test="conditionParamRef.companyId == null">
                ${_conditionType_} a.companyId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('companyIdList') and conditionParamRef.companyIdList.size() > 0">
            ${_conditionType_} a.companyId in
            <foreach collection="conditionParamRef.companyIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('companyIdNotList') and conditionParamRef.companyIdNotList.size() > 0">
            ${_conditionType_} a.companyId not in
            <foreach collection="conditionParamRef.companyIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('companyIdStart') and conditionParamRef.companyIdStart != null">
            ${_conditionType_} a.companyId <![CDATA[ >= ]]> #{${_conditionParam_}.companyIdStart}
        </if>
        <if test="conditionParamRef.containsKey('companyIdEnd') and conditionParamRef.companyIdEnd != null">
            ${_conditionType_} a.companyId <![CDATA[ <= ]]> #{${_conditionParam_}.companyIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('companyName')">
            <if test="conditionParamRef.companyName != null and conditionParamRef.companyName != ''">
                ${_conditionType_} a.companyName like #{${_conditionParam_}.companyName}
            </if>
            <if test="conditionParamRef.companyName == null">
                ${_conditionType_} a.companyName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('companyNameList') and conditionParamRef.companyNameList.size() > 0">
            ${_conditionType_} a.companyName in
            <foreach collection="conditionParamRef.companyNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('companyNameNotList') and conditionParamRef.companyNameNotList.size() > 0">
            ${_conditionType_} a.companyName not in
            <foreach collection="conditionParamRef.companyNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('positionId')">
            <if test="conditionParamRef.positionId != null ">
                ${_conditionType_} a.positionId = #{${_conditionParam_}.positionId}
            </if>
            <if test="conditionParamRef.positionId == null">
                ${_conditionType_} a.positionId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('positionIdList') and conditionParamRef.positionIdList.size() > 0">
            ${_conditionType_} a.positionId in
            <foreach collection="conditionParamRef.positionIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('positionIdNotList') and conditionParamRef.positionIdNotList.size() > 0">
            ${_conditionType_} a.positionId not in
            <foreach collection="conditionParamRef.positionIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('positionIdStart') and conditionParamRef.positionIdStart != null">
            ${_conditionType_} a.positionId <![CDATA[ >= ]]> #{${_conditionParam_}.positionIdStart}
        </if>
        <if test="conditionParamRef.containsKey('positionIdEnd') and conditionParamRef.positionIdEnd != null">
            ${_conditionType_} a.positionId <![CDATA[ <= ]]> #{${_conditionParam_}.positionIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('positionName')">
            <if test="conditionParamRef.positionName != null and conditionParamRef.positionName != ''">
                ${_conditionType_} a.positionName like #{${_conditionParam_}.positionName}
            </if>
            <if test="conditionParamRef.positionName == null">
                ${_conditionType_} a.positionName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('positionNameList') and conditionParamRef.positionNameList.size() > 0">
            ${_conditionType_} a.positionName in
            <foreach collection="conditionParamRef.positionNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('positionNameNotList') and conditionParamRef.positionNameNotList.size() > 0">
            ${_conditionType_} a.positionName not in
            <foreach collection="conditionParamRef.positionNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('bio')">
            <if test="conditionParamRef.bio != null and conditionParamRef.bio != ''">
                ${_conditionType_} a.bio like #{${_conditionParam_}.bio}
            </if>
            <if test="conditionParamRef.bio == null">
                ${_conditionType_} a.bio is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('bioList') and conditionParamRef.bioList.size() > 0">
            ${_conditionType_} a.bio in
            <foreach collection="conditionParamRef.bioList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('bioNotList') and conditionParamRef.bioNotList.size() > 0">
            ${_conditionType_} a.bio not in
            <foreach collection="conditionParamRef.bioNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('socialMedia')">
            <if test="conditionParamRef.socialMedia != null and conditionParamRef.socialMedia != ''">
                ${_conditionType_} a.socialMedia like #{${_conditionParam_}.socialMedia}
            </if>
            <if test="conditionParamRef.socialMedia == null">
                ${_conditionType_} a.socialMedia is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('socialMediaList') and conditionParamRef.socialMediaList.size() > 0">
            ${_conditionType_} a.socialMedia in
            <foreach collection="conditionParamRef.socialMediaList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('socialMediaNotList') and conditionParamRef.socialMediaNotList.size() > 0">
            ${_conditionType_} a.socialMedia not in
            <foreach collection="conditionParamRef.socialMediaNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('qRCode')">
            <if test="conditionParamRef.qRCode != null and conditionParamRef.qRCode != ''">
                ${_conditionType_} a.qRCode like #{${_conditionParam_}.qRCode}
            </if>
            <if test="conditionParamRef.qRCode == null">
                ${_conditionType_} a.qRCode is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('qRCodeList') and conditionParamRef.qRCodeList.size() > 0">
            ${_conditionType_} a.qRCode in
            <foreach collection="conditionParamRef.qRCodeList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('qRCodeNotList') and conditionParamRef.qRCodeNotList.size() > 0">
            ${_conditionType_} a.qRCode not in
            <foreach collection="conditionParamRef.qRCodeNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('remark')">
            <if test="conditionParamRef.remark != null and conditionParamRef.remark != ''">
                ${_conditionType_} a.remark like #{${_conditionParam_}.remark}
            </if>
            <if test="conditionParamRef.remark == null">
                ${_conditionType_} a.remark is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('remarkList') and conditionParamRef.remarkList.size() > 0">
            ${_conditionType_} a.remark in
            <foreach collection="conditionParamRef.remarkList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('remarkNotList') and conditionParamRef.remarkNotList.size() > 0">
            ${_conditionType_} a.remark not in
            <foreach collection="conditionParamRef.remarkNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('sumViews')">
            <if test="conditionParamRef.sumViews != null ">
                ${_conditionType_} a.sumViews = #{${_conditionParam_}.sumViews}
            </if>
            <if test="conditionParamRef.sumViews == null">
                ${_conditionType_} a.sumViews is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('sumViewsList') and conditionParamRef.sumViewsList.size() > 0">
            ${_conditionType_} a.sumViews in
            <foreach collection="conditionParamRef.sumViewsList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('sumViewsNotList') and conditionParamRef.sumViewsNotList.size() > 0">
            ${_conditionType_} a.sumViews not in
            <foreach collection="conditionParamRef.sumViewsNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('sumViewsStart') and conditionParamRef.sumViewsStart != null">
            ${_conditionType_} a.sumViews <![CDATA[ >= ]]> #{${_conditionParam_}.sumViewsStart}
        </if>
        <if test="conditionParamRef.containsKey('sumViewsEnd') and conditionParamRef.sumViewsEnd != null">
            ${_conditionType_} a.sumViews <![CDATA[ <= ]]> #{${_conditionParam_}.sumViewsEnd}
        </if>

        <if test="conditionParamRef.containsKey('viewsByDay')">
            <if test="conditionParamRef.viewsByDay != null ">
                ${_conditionType_} a.viewsByDay = #{${_conditionParam_}.viewsByDay}
            </if>
            <if test="conditionParamRef.viewsByDay == null">
                ${_conditionType_} a.viewsByDay is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('viewsByDayList') and conditionParamRef.viewsByDayList.size() > 0">
            ${_conditionType_} a.viewsByDay in
            <foreach collection="conditionParamRef.viewsByDayList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('viewsByDayNotList') and conditionParamRef.viewsByDayNotList.size() > 0">
            ${_conditionType_} a.viewsByDay not in
            <foreach collection="conditionParamRef.viewsByDayNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('viewsByDayStart') and conditionParamRef.viewsByDayStart != null">
            ${_conditionType_} a.viewsByDay <![CDATA[ >= ]]> #{${_conditionParam_}.viewsByDayStart}
        </if>
        <if test="conditionParamRef.containsKey('viewsByDayEnd') and conditionParamRef.viewsByDayEnd != null">
            ${_conditionType_} a.viewsByDay <![CDATA[ <= ]]> #{${_conditionParam_}.viewsByDayEnd}
        </if>

        <if test="conditionParamRef.containsKey('sendBusinessCardTimes')">
            <if test="conditionParamRef.sendBusinessCardTimes != null ">
                ${_conditionType_} a.sendBusinessCardTimes = #{${_conditionParam_}.sendBusinessCardTimes}
            </if>
            <if test="conditionParamRef.sendBusinessCardTimes == null">
                ${_conditionType_} a.sendBusinessCardTimes is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('sendBusinessCardTimesList') and conditionParamRef.sendBusinessCardTimesList.size() > 0">
            ${_conditionType_} a.sendBusinessCardTimes in
            <foreach collection="conditionParamRef.sendBusinessCardTimesList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('sendBusinessCardTimesNotList') and conditionParamRef.sendBusinessCardTimesNotList.size() > 0">
            ${_conditionType_} a.sendBusinessCardTimes not in
            <foreach collection="conditionParamRef.sendBusinessCardTimesNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('sendBusinessCardTimesStart') and conditionParamRef.sendBusinessCardTimesStart != null">
            ${_conditionType_} a.sendBusinessCardTimes <![CDATA[ >= ]]> #{${_conditionParam_}.sendBusinessCardTimesStart}
        </if>
        <if test="conditionParamRef.containsKey('sendBusinessCardTimesEnd') and conditionParamRef.sendBusinessCardTimesEnd != null">
            ${_conditionType_} a.sendBusinessCardTimes <![CDATA[ <= ]]> #{${_conditionParam_}.sendBusinessCardTimesEnd}
        </if>

        <if test="conditionParamRef.containsKey('createUserId')">
            <if test="conditionParamRef.createUserId != null ">
                ${_conditionType_} a.createUserId = #{${_conditionParam_}.createUserId}
            </if>
            <if test="conditionParamRef.createUserId == null">
                ${_conditionType_} a.createUserId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
            ${_conditionType_} a.createUserId in
            <foreach collection="conditionParamRef.createUserIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdNotList') and conditionParamRef.createUserIdNotList.size() > 0">
            ${_conditionType_} a.createUserId not in
            <foreach collection="conditionParamRef.createUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdStart') and conditionParamRef.createUserIdStart != null">
            ${_conditionType_} a.createUserId <![CDATA[ >= ]]> #{${_conditionParam_}.createUserIdStart}
        </if>
        <if test="conditionParamRef.containsKey('createUserIdEnd') and conditionParamRef.createUserIdEnd != null">
            ${_conditionType_} a.createUserId <![CDATA[ <= ]]> #{${_conditionParam_}.createUserIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('createTime')">
            <if test="conditionParamRef.createTime != null ">
                ${_conditionType_} a.createTime = #{${_conditionParam_}.createTime}
            </if>
            <if test="conditionParamRef.createTime == null">
                ${_conditionType_} a.createTime is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('createTimeStart') and conditionParamRef.createTimeStart != null and conditionParamRef.createTimeStart!=''">
            ${_conditionType_} a.createTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('createTimeEnd') and conditionParamRef.createTimeEnd != null and conditionParamRef.createTimeEnd!=''">
            ${_conditionType_} a.createTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('updateUserId')">
            <if test="conditionParamRef.updateUserId != null ">
                ${_conditionType_} a.updateUserId = #{${_conditionParam_}.updateUserId}
            </if>
            <if test="conditionParamRef.updateUserId == null">
                ${_conditionType_} a.updateUserId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
            ${_conditionType_} a.updateUserId in
            <foreach collection="conditionParamRef.updateUserIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdNotList') and conditionParamRef.updateUserIdNotList.size() > 0">
            ${_conditionType_} a.updateUserId not in
            <foreach collection="conditionParamRef.updateUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdStart') and conditionParamRef.updateUserIdStart != null">
            ${_conditionType_} a.updateUserId <![CDATA[ >= ]]> #{${_conditionParam_}.updateUserIdStart}
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdEnd') and conditionParamRef.updateUserIdEnd != null">
            ${_conditionType_} a.updateUserId <![CDATA[ <= ]]> #{${_conditionParam_}.updateUserIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('updateTime')">
            <if test="conditionParamRef.updateTime != null ">
                ${_conditionType_} a.updateTime = #{${_conditionParam_}.updateTime}
            </if>
            <if test="conditionParamRef.updateTime == null">
                ${_conditionType_} a.updateTime is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('updateTimeStart') and conditionParamRef.updateTimeStart != null and conditionParamRef.updateTimeStart!=''">
            ${_conditionType_} a.updateTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('updateTimeEnd') and conditionParamRef.updateTimeEnd != null and conditionParamRef.updateTimeEnd!=''">
            ${_conditionType_} a.updateTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>

        <if test="conditionParamRef.containsKey('setting')">
            <if test="conditionParamRef.setting != null and conditionParamRef.setting != ''">
                ${_conditionType_} a.setting like #{${_conditionParam_}.setting}
            </if>
            <if test="conditionParamRef.setting == null">
                ${_conditionType_} a.setting is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('settingList') and conditionParamRef.settingList.size() > 0">
            ${_conditionType_} a.setting in
            <foreach collection="conditionParamRef.settingList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('settingNotList') and conditionParamRef.settingNotList.size() > 0">
            ${_conditionType_} a.setting not in
            <foreach collection="conditionParamRef.settingNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('companyAdress')">
            <if test="conditionParamRef.companyAdress != null and conditionParamRef.companyAdress != ''">
                ${_conditionType_} a.companyAdress like #{${_conditionParam_}.companyAdress}
            </if>
            <if test="conditionParamRef.companyAdress == null">
                ${_conditionType_} a.companyAdress is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('companyAdressList') and conditionParamRef.companyAdressList.size() > 0">
            ${_conditionType_} a.companyAdress in
            <foreach collection="conditionParamRef.companyAdressList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('companyAdressNotList') and conditionParamRef.companyAdressNotList.size() > 0">
            ${_conditionType_} a.companyAdress not in
            <foreach collection="conditionParamRef.companyAdressNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('backdrop')">
            <if test="conditionParamRef.backdrop != null and conditionParamRef.backdrop != ''">
                ${_conditionType_} a.backdrop like #{${_conditionParam_}.backdrop}
            </if>
            <if test="conditionParamRef.backdrop == null">
                ${_conditionType_} a.backdrop is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('backdropList') and conditionParamRef.backdropList.size() > 0">
            ${_conditionType_} a.backdrop in
            <foreach collection="conditionParamRef.backdropList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('backdropNotList') and conditionParamRef.backdropNotList.size() > 0">
            ${_conditionType_} a.backdrop not in
            <foreach collection="conditionParamRef.backdropNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
    </sql>
    <sql id="_orderCols_">
        <if test="orderColList != null and !orderColList.isEmpty()">
            order by
            <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                field(a.id,
                <foreach collection="conditionParamRef.idList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('staffIdList') and conditionParamRef.staffIdList.size() > 0">
                field(a.staffId,
                <foreach collection="conditionParamRef.staffIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('genderList') and conditionParamRef.genderList.size() > 0">
                field(a.gender,
                <foreach collection="conditionParamRef.genderList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('companyIdList') and conditionParamRef.companyIdList.size() > 0">
                field(a.companyId,
                <foreach collection="conditionParamRef.companyIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('positionIdList') and conditionParamRef.positionIdList.size() > 0">
                field(a.positionId,
                <foreach collection="conditionParamRef.positionIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('sumViewsList') and conditionParamRef.sumViewsList.size() > 0">
                field(a.sumViews,
                <foreach collection="conditionParamRef.sumViewsList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('viewsByDayList') and conditionParamRef.viewsByDayList.size() > 0">
                field(a.viewsByDay,
                <foreach collection="conditionParamRef.viewsByDayList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('sendBusinessCardTimesList') and conditionParamRef.sendBusinessCardTimesList.size() > 0">
                field(a.sendBusinessCardTimes,
                <foreach collection="conditionParamRef.sendBusinessCardTimesList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                field(a.createUserId,
                <foreach collection="conditionParamRef.createUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                field(a.updateUserId,
                <foreach collection="conditionParamRef.updateUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <trim suffixOverrides=","  suffix="">
                <foreach collection="orderColList" open="" close="" index="index" item="item" separator=",">
                    a.${item.colName} ${item.sortKind}
                </foreach>
            </trim>
        </if>
        <if test="(orderColList == null or orderColList.isEmpty()) and orderCol != null and !orderCol.isEmpty()">
            order by
            <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                field(a.id,
                <foreach collection="conditionParamRef.idList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('staffIdList') and conditionParamRef.staffIdList.size() > 0">
                field(a.staffId,
                <foreach collection="conditionParamRef.staffIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('genderList') and conditionParamRef.genderList.size() > 0">
                field(a.gender,
                <foreach collection="conditionParamRef.genderList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('companyIdList') and conditionParamRef.companyIdList.size() > 0">
                field(a.companyId,
                <foreach collection="conditionParamRef.companyIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('positionIdList') and conditionParamRef.positionIdList.size() > 0">
                field(a.positionId,
                <foreach collection="conditionParamRef.positionIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('sumViewsList') and conditionParamRef.sumViewsList.size() > 0">
                field(a.sumViews,
                <foreach collection="conditionParamRef.sumViewsList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('viewsByDayList') and conditionParamRef.viewsByDayList.size() > 0">
                field(a.viewsByDay,
                <foreach collection="conditionParamRef.viewsByDayList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('sendBusinessCardTimesList') and conditionParamRef.sendBusinessCardTimesList.size() > 0">
                field(a.sendBusinessCardTimes,
                <foreach collection="conditionParamRef.sendBusinessCardTimesList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                field(a.createUserId,
                <foreach collection="conditionParamRef.createUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                field(a.updateUserId,
                <foreach collection="conditionParamRef.updateUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <trim suffixOverrides=","  suffix="">
                <if test="orderCol.containsKey('id')">
                    a.id
                    <if test='orderCol.id != null and "DESC".equalsIgnoreCase(orderCol.id)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('staffId')">
                    a.staffId
                    <if test='orderCol.staffId != null and "DESC".equalsIgnoreCase(orderCol.staffId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('staffName')">
                    a.staffName
                    <if test='orderCol.staffName != null and "DESC".equalsIgnoreCase(orderCol.staffName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('name')">
                    a.name
                    <if test='orderCol.name != null and "DESC".equalsIgnoreCase(orderCol.name)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('gender')">
                    a.gender
                    <if test='orderCol.gender != null and "DESC".equalsIgnoreCase(orderCol.gender)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('birthday')">
                    a.birthday
                    <if test='orderCol.birthday != null and "DESC".equalsIgnoreCase(orderCol.birthday)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('photoPath')">
                    a.photoPath
                    <if test='orderCol.photoPath != null and "DESC".equalsIgnoreCase(orderCol.photoPath)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('email')">
                    a.email
                    <if test='orderCol.email != null and "DESC".equalsIgnoreCase(orderCol.email)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('phoneNumber')">
                    a.phoneNumber
                    <if test='orderCol.phoneNumber != null and "DESC".equalsIgnoreCase(orderCol.phoneNumber)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('idCard')">
                    a.idCard
                    <if test='orderCol.idCard != null and "DESC".equalsIgnoreCase(orderCol.idCard)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('companyId')">
                    a.companyId
                    <if test='orderCol.companyId != null and "DESC".equalsIgnoreCase(orderCol.companyId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('companyName')">
                    a.companyName
                    <if test='orderCol.companyName != null and "DESC".equalsIgnoreCase(orderCol.companyName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('positionId')">
                    a.positionId
                    <if test='orderCol.positionId != null and "DESC".equalsIgnoreCase(orderCol.positionId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('positionName')">
                    a.positionName
                    <if test='orderCol.positionName != null and "DESC".equalsIgnoreCase(orderCol.positionName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('bio')">
                    a.bio
                    <if test='orderCol.bio != null and "DESC".equalsIgnoreCase(orderCol.bio)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('socialMedia')">
                    a.socialMedia
                    <if test='orderCol.socialMedia != null and "DESC".equalsIgnoreCase(orderCol.socialMedia)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('qRCode')">
                    a.qRCode
                    <if test='orderCol.qRCode != null and "DESC".equalsIgnoreCase(orderCol.qRCode)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('remark')">
                    a.remark
                    <if test='orderCol.remark != null and "DESC".equalsIgnoreCase(orderCol.remark)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('sumViews')">
                    a.sumViews
                    <if test='orderCol.sumViews != null and "DESC".equalsIgnoreCase(orderCol.sumViews)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('viewsByDay')">
                    a.viewsByDay
                    <if test='orderCol.viewsByDay != null and "DESC".equalsIgnoreCase(orderCol.viewsByDay)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('sendBusinessCardTimes')">
                    a.sendBusinessCardTimes
                    <if test='orderCol.sendBusinessCardTimes != null and "DESC".equalsIgnoreCase(orderCol.sendBusinessCardTimes)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('createUserId')">
                    a.createUserId
                    <if test='orderCol.createUserId != null and "DESC".equalsIgnoreCase(orderCol.createUserId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('createTime')">
                    a.createTime
                    <if test='orderCol.createTime != null and "DESC".equalsIgnoreCase(orderCol.createTime)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('updateUserId')">
                    a.updateUserId
                    <if test='orderCol.updateUserId != null and "DESC".equalsIgnoreCase(orderCol.updateUserId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('updateTime')">
                    a.updateTime
                    <if test='orderCol.updateTime != null and "DESC".equalsIgnoreCase(orderCol.updateTime)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('setting')">
                    a.setting
                    <if test='orderCol.setting != null and "DESC".equalsIgnoreCase(orderCol.setting)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('companyAdress')">
                    a.companyAdress
                    <if test='orderCol.companyAdress != null and "DESC".equalsIgnoreCase(orderCol.companyAdress)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('backdrop')">
                    a.backdrop
                    <if test='orderCol.backdrop != null and "DESC".equalsIgnoreCase(orderCol.backdrop)'>DESC</if>
                    ,
                </if>
            </trim>
        </if>


    </sql>
    <sql id="_group_by_">
        <if test="groupList != null and !groupList.isEmpty()">
            GROUP BY
            <trim suffixOverrides=","  suffix="">
                <foreach collection="groupList" open="" close="" index="index" item="item" separator=",">
                    ${item}
                </foreach>
            </trim>
        </if>
    </sql>
</mapper>